<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelContentResponse StructType
 * @subpackage Structs
 */
class HotelContentResponse extends AbstractStructBase
{
    /**
     * The ContentRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ContentRS
     */
    public $ContentRS;
    /**
     * Constructor method for HotelContentResponse
     * @uses HotelContentResponse::setContentRS()
     * @param \StructType\JP_ContentRS $contentRS
     */
    public function __construct(\StructType\JP_ContentRS $contentRS = null)
    {
        $this
            ->setContentRS($contentRS);
    }
    /**
     * Get ContentRS value
     * @return \StructType\JP_ContentRS|null
     */
    public function getContentRS()
    {
        return $this->ContentRS;
    }
    /**
     * Set ContentRS value
     * @param \StructType\JP_ContentRS $contentRS
     * @return \StructType\HotelContentResponse
     */
    public function setContentRS(\StructType\JP_ContentRS $contentRS = null)
    {
        $this->ContentRS = $contentRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\HotelContentResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
